Skip to main content
POST
Stop Reporting on a Credit Balance

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Maximum string length: 255

Path Parameters

user_credit_balance_id
string
required

The Credit Balance's ID

Pattern: ^user_credit_balance_\w+$

Body

application/json
status_reason
enum<string>
required
Available options:
receivables_sold_to_partner,
data_not_available

Response

Reporting stopped successfully (or already stopped)

A user credit balance — a virtual end-customer credit position.

id
string
Pattern: ^user_credit_balance_\w+$
user_account_id
string

The parent User Account's ID.

name
string

Human-readable name.

Example:

"Personal Loan - Jane Smith"

status
enum<string>
Available options:
active,
inactive,
closed,
reporting_stopped
status_reason
enum<string>
Available options:
active,
frozen,
dormant,
other,
entity_closed,
client_closed,
paid_off,
charged_off,
canceled,
receivables_sold_to_partner,
data_not_available
currency_code
enum<string>

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

amount
integer

Signed, minor units.

amount_in_usd
integer

Signed, minor units, in USD.

amount_breakdown
object
fees
object
rewards
object
dispute
object
charge_off
object
past_due
object
interest
object
autopay_method
enum<string>
Available options:
ach,
debit_card,
wire,
virtual_wallet,
credit_card,
none
details
object
metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

created_at
string<date-time>
updated_at
string<date-time>
closed_at
string<date-time> | null